OfficeGest
Stocks/Articles/{article}

Delete article

Permanently deletes an article from the system. This action cannot be undone. Returns 204 No Content on success.

DELETE
/stocks/articles/{article}
AuthorizationBearer <token>

In: header

Path Parameters

articlestring

Response Body

curl -X DELETE "https://og-tenant1.test:8003/api/v2/stocks/articles/string"
Empty
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}

{
  "data": {
    "code": "ARTICLE_NOT_FOUND",
    "message": "O recurso solicitado não foi encontrado."
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad015"
  }
}

{
  "data": {
    "code": "ARTICLE_HAS_TRANSACTIONS",
    "message": "Article has stock transactions and cannot be deleted."
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad015"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}